using UnityEngine;

namespace Station46.Modules.Laser.Scripts
{
    [RequireComponent(typeof(LaserReceiver))]
    [SelectionBase]
    public class LaserRedirector : Laser
    {
        private void Awake()
        {
            GetComponent<LaserReceiver>().LaserEvent += (_, type) => firing = type == LaserEventType.Hit;
        }
    }
}
